Home Forums Virtue Theme AUTH-KEYerror after PHP 7 upgrade

This topic is: not resolved
In Progress
Posted in: Virtue Theme  
  • May 31, 2018 at 4:59 am #191698

    Hi,

    Using Virtue Premium 4.6.0, upgrading to PHP 7 (from 5.5) results in the following errors:

    Warning: Use of undefined constant AUTH_KEY – assumed ‘AUTH_KEY’ (this will throw an Error in a future version of PHP) in /www1/8c5/—–/web/wp-content/themes/virtue_premium/themeoptions/inc/class.redux_instances.php on line 67

    Warning: Use of undefined constant SECURE_AUTH_KEY – assumed ‘SECURE_AUTH_KEY’ (this will throw an Error in a future version of PHP) in /www1/8c5/——/web/wp-content/themes/virtue_premium/themeoptions/inc/class.redux_instances.php on line 67

    As an ftp user of only moderate ability, I think it’s this line: $array[‘key’] = md5( AUTH_KEY . SECURE_AUTH_KEY );

    I’ve downgraded to PHP 5.6 and all works fine. Should I stick with that or is there something I can do to make 7 work?

    Thanks!

    Sorry, this forum is for Premium customers only. Please Login to continue

    If you are using a free theme you can access support on wordpress.org by searching for the free theme and using the support tab.